Adicionar membros
curl --request POST \
--url https://api.notifique.dev/v1/chat/conversations/{id}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"members": [
"user_carol"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({members: ['user_carol']})
};
fetch('https://api.notifique.dev/v1/chat/conversations/{id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/chat/conversations/{id}/members"
payload = { "members": ["user_carol"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/chat/conversations/{id}/members"
payload := strings.NewReader("{\n \"members\": [\n \"user_carol\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "cnv_xxxxx",
"chatAppId": "clxxapp...",
"type": "DIRECT",
"title": "<string>",
"memberCount": 123,
"lastMessagePreview": "<string>",
"joinPolicy": "OPEN",
"addPolicy": "ANY_MEMBER",
"capabilities": {
"enabledMessageTypes": [
"text"
],
"editEnabled": true,
"deleteForEveryoneEnabled": true
},
"appCapabilities": {
"allowedMessageTypes": [
"text"
],
"allowEdit": true,
"allowDeleteForEveryone": true,
"allowUserManageCapabilities": true
}
}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}Conversas
Adicionar membros
POST
/
v1
/
chat
/
conversations
/
{id}
/
members
Adicionar membros
curl --request POST \
--url https://api.notifique.dev/v1/chat/conversations/{id}/members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"members": [
"user_carol"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({members: ['user_carol']})
};
fetch('https://api.notifique.dev/v1/chat/conversations/{id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/chat/conversations/{id}/members"
payload = { "members": ["user_carol"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/chat/conversations/{id}/members"
payload := strings.NewReader("{\n \"members\": [\n \"user_carol\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "cnv_xxxxx",
"chatAppId": "clxxapp...",
"type": "DIRECT",
"title": "<string>",
"memberCount": 123,
"lastMessagePreview": "<string>",
"joinPolicy": "OPEN",
"addPolicy": "ANY_MEMBER",
"capabilities": {
"enabledMessageTypes": [
"text"
],
"editEnabled": true,
"deleteForEveryoneEnabled": true
},
"appCapabilities": {
"allowedMessageTypes": [
"text"
],
"allowEdit": true,
"allowDeleteForEveryone": true,
"allowUserManageCapabilities": true
}
}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"message": "<string>"
}Autorizações
ntfChatBearerAuthntfChatApiKeyHeader
API Key sk_live_… / sk_test_… ou JWT do usuário do chat (eyJ…).
Parâmetros de caminho
Corpo
application/json
Exemplo:
["user_carol"]
Esta página foi útil?

